org.apache.maven.scm.provider.local.command.list

## Class LocalListScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.list.ListScmResult
    - - org.apache.maven.scm.provider.local.command.list.LocalListScmResult

All Implemented Interfaces:
  Serializable

    public class LocalListScmResult
    extends ListScmResult

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`LocalListScmResult(String commandLine, List<ScmFile> files)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.list.ListScmResult

`getFiles`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalListScmResult

    public LocalListScmResult(String commandLine,
                              List<ScmFile> files)